syntax = "proto3";

package pagerino.nfc_card;
option go_package = "server/app_comm/api/nfccard;api_nfccard";


import "common.proto";


message NfcCardBaseInfo {
  string uid = 1;
}


service NfcCardService {
  // === DB information
  rpc GetInfo(common.Index) returns (NfcCardBaseInfo);
  
  // References
  rpc GetDeviceId(common.Index) returns (common.Reference);
  
  // Common
  rpc GetMeta(common.Index) returns (common.Meta);
}
